### Class

# Gtk ShortcutAction

since: 4.0

#### Description [src]

    abstract class Gtk.ShortcutAction : GObject.Object
    {
      /* No available fields */
    }

`GtkShortcutAction` encodes an action that can be triggered by a keyboard shortcut.

`GtkShortcutActions` contain functions that allow easy presentation to end users as well as being printed for debugging.

All `GtkShortcutActions` are immutable, you can only specify their properties during construction. If you want to change a action, you have to replace it with a new one. If you need to pass arguments to an action, these are specified by the higher-level `GtkShortcut` object.

To activate a `GtkShortcutAction` manually, `gtk_shortcut_action_activate()` can be called.

GTK provides various actions:

- `GtkMnemonicAction`: a shortcut action that calls `gtk_widget_mnemonic_activate()`
- `GtkCallbackAction`: a shortcut action that invokes a given callback
- `GtkSignalAction`: a shortcut action that emits a given signal
- `GtkActivateAction`: a shortcut action that calls `gtk_widget_activate()`
- `GtkNamedAction`: a shortcut action that calls `gtk_widget_activate_action()`
- `GtkNothingAction`: a shortcut action that does nothing.

Available since: 4.0

#### Ancestors

- GObject

#### Descendants

- GtkActivateAction
- GtkCallbackAction
- GtkMnemonicAction
- GtkNamedAction
- GtkNothingAction
- GtkSignalAction

#### Constructors

###### gtk_shortcut_action_parse_string

Tries to parse the given string into an action.

since: 4.0

#### Instance methods

###### gtk_shortcut_action_activate

Activates the action on the `widget` with the given `args`.

since: 4.0

###### gtk_shortcut_action_print

Prints the given action into a string for the developer.

since: 4.0

###### gtk_shortcut_action_to_string

Prints the given action into a human-readable string.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GtkShortcutActionClass {
      /* no available fields */
    }

No description available.